unRAID-教程 ·

unRAID docker容器降级(emby为例)

emby在4.3版本以后无论正式版还是测试版都有转码器故障

所以我写个降级教程给大家使用!

 

为什么降级

最新版本可能存在一些问题,就比如EMBY这次转码器故障,所以我们要进行降级,因为unRAID是docker来运行的emby,所以降级只针对docker,其他发行版本的LINUX可以下载官方deb包进行降级。

教程开始:

我们在容器模板的编辑模式下找到模板中使用的镜像名称,然后在hub.docker.com搜索。

unRAID docker容器降级(emby为例) unRAID-教程 第1张

在hub.docker.com的搜索结果

unRAID docker容器降级(emby为例) unRAID-教程 第2张

模板中使用的是官方的镜像地址,所以我们找到的是官方的docker页面, 在页面中我们点击TAGS,就可以看到开发的历史版本。

在版本中找到我们需要的版本,以emby为例,我们知道emby是从4.3开始出现转码器故障的,这里我们选择4.2的最后一个版本。

unRAID docker容器降级(emby为例) unRAID-教程 第3张

将复制的镜像名称粘贴到docker的模板中Repository的地址栏中。

unRAID docker容器降级(emby为例) unRAID-教程 第4张

其他保持不变,然后APPLY,完成后在访问,查看版本就降级了,配置文件也会被保留。

unRAID docker容器降级(emby为例) unRAID-教程 第5张

结尾:

此方法简单方便,可以解决版本升级带来的故障,但是部分容器不支持,一些个人制作的容器,没有保留历史容器的版本的都没办法降级,当然你要是会docker指令可在容器中进行降级,在commit保存也是可以的。

此教程到此结束,如有问题请在群里与我交流。

unRAID docker容器降级(emby为例) unRAID-教程 第6张

参与评论